<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

  <xsl:output method="text"/>

  <xsl:template match="/document">
    <xsl:value-of select="properties/title"/>
    <xsl:text>

</xsl:text>
    <xsl:apply-templates select="body/release"/>
  </xsl:template>

  <xsl:template match="release">
    <xsl:value-of select="@version"/>
    <xsl:text> (</xsl:text>
    <xsl:value-of select="@date"/>
    <xsl:text>) </xsl:text>
    <xsl:value-of select="@description"/>
    <xsl:text>

</xsl:text>
    <xsl:apply-templates select="action"/>
    <xsl:text>
</xsl:text>
  </xsl:template>

  <xsl:template match="action">
    <xsl:text>* </xsl:text>
    <xsl:value-of select="."/>
    <xsl:text>
</xsl:text>
  </xsl:template>

</xsl:stylesheet>
